%global backgrounds_version 15
%global waves_version 0.1.2

Name:           desktop-backgrounds
Version:        39.0.0
Release:        1%{?dist}
Summary:        Desktop backgrounds

License:        LGPL-2.0-only
Source0:        backgrounds-%{backgrounds_version}.tar.bz2
Source1:        Propaganda-1.0.0.tar.gz
Source2:        README.Propaganda
Source3:        waves-%{waves_version}.tar.bz2
Source4:        Waves-metadata.desktop
BuildArch:      noarch

%description
The desktop-backgrounds package contains artwork intended to be used as
desktop background image.

%package        basic
Summary:        Desktop backgrounds
Provides:       desktop-backgrounds = %{version}-%{release}
%description    basic
The desktop-backgrounds-basic package contains artwork intended to be used as
desktop background image.

%package        budgie
Summary:        The default wallpaper from Budgie desktop
Requires:       gsettings-desktop-schemas >= 2.91.92
Provides:       system-backgrounds-budgie = %{version}-%{release}
Requires:       %{name}-basic
License:        CC-BY-SA

%description    budgie
The desktop-backgrounds-budgie package sets default background in budgie.

%package        gnome
Summary:        The default wallpaper from GNOME desktop
Requires:       gsettings-desktop-schemas >= 2.91.92
Provides:       system-backgrounds-gnome = %{version}-%{release}
License:        CC-BY-SA

%description    gnome
The desktop-backgrounds-gnome package sets default background in gnome.

%package        compat
Summary:        The default wallpaper for less common DEs
Provides:       system-backgrounds-compat = %{version}-%{release}
Requires:       %{name}-basic
License:        CC-BY-SA

%description    compat
The desktop-backgrounds-compat package contains file-names used
by less common Desktop Environments such as LXDE to set up the
default wallpaper.

%package        waves
Summary:        Desktop backgrounds for the Waves theme

%description    waves
The desktop-backgrounds-waves package contains the "Waves" desktop backgrounds.

%prep
%autosetup -n backgrounds-%{backgrounds_version}

cp -a %{SOURCE2} .
mv images/space/*.ps .
mv images/space/README* .

(cd tiles && tar zxf %{SOURCE1})

tar xjf %{SOURCE3}

%install
mkdir -p %{buildroot}%{_prefix}/share/backgrounds
cd %{buildroot}%{_prefix}/share/backgrounds

cp -a %{_builddir}/backgrounds-%{backgrounds_version}/images .
cp -a %{_builddir}/backgrounds-%{backgrounds_version}/tiles .
cp -a %{_builddir}/backgrounds-%{backgrounds_version}/default .

mkdir waves
cp -a %{_builddir}/backgrounds-%{backgrounds_version}/waves-%{waves_version}/*.png waves
cp -a %{_builddir}/backgrounds-%{backgrounds_version}/waves-%{waves_version}/waves.xml waves

mkdir -p %{buildroot}%{_datadir}/gnome-background-properties
cp -a %{_builddir}/backgrounds-%{backgrounds_version}/desktop-backgrounds-basic.xml %{buildroot}%{_prefix}/share/gnome-background-properties
cp -a %{_builddir}/backgrounds-%{backgrounds_version}/waves-%{waves_version}/desktop-backgrounds-waves.xml %{buildroot}%{_prefix}/share/gnome-background-properties

mkdir -p %{buildroot}%{_datadir}/mate-background-properties
sed -e '/DOCTYPE/s/gnome/mate/' \
    %{_builddir}/backgrounds-%{backgrounds_version}/desktop-backgrounds-basic.xml \
    > %{buildroot}%{_prefix}/share/mate-background-properties/desktop-backgrounds-basic.xml
sed -e '/DOCTYPE/s/gnome/mate/' \
    %{_builddir}/backgrounds-%{backgrounds_version}/waves-%{waves_version}/desktop-backgrounds-waves.xml \
    > %{buildroot}%{_prefix}/share/mate-background-properties/desktop-backgrounds-waves.xml

bgdir=%{buildroot}%{_datadir}/backgrounds
for I in tiles/Propaganda images/dewdop_leaf.jpg images/dragonfly.jpg images/frosty_pipes.jpg images/in_flight.jpg images/leaf_veins.jpg \
        images/leafdrops.jpg images/lightrays-transparent.png images/lightrays.png images/lightrays2.png images/raingutter.jpg images/riverstreet_rail.jpg \
        images/sneaking_branch.jpg images/space images/yellow_flower.jpg; do
        rm -rf ${bgdir}/${I}
done

mkdir -p %{buildroot}%{_datadir}/wallpapers/Waves/contents/images
install -m 644 -p %{SOURCE4} %{buildroot}%{_datadir}/wallpapers/Waves/metadata.desktop
(cd %{buildroot}%{_datadir}/wallpapers/Waves/contents/;
ln -s ../../../backgrounds/waves/waves-eeepc-3-night.png screenshot.png
cd %{buildroot}%{_datadir}/wallpapers/Waves/contents/images
ln -s ../../../../backgrounds/waves/waves-normal-3-night.png 1024x768.png
ln -s ../../../../backgrounds/waves/waves-wide-3-night.png 1280x800.png
ln -s ../../../../backgrounds/waves/waves-wide-3-night.png 1280x1024.png
ln -s ../../../../backgrounds/waves/waves-wide-3-night.png 1440x900.png
ln -s ../../../../backgrounds/waves/waves-normal-3-night.png 1600x1200.png
ln -s ../../../../backgrounds/waves/waves-wide-3-night.png 1920x1200.png
)

mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
/bin/echo '[org.gnome.desktop.background:Budgie]' > \
    %{buildroot}%{_datadir}/glib-2.0/schemas/30_budgie_org.gnome.desktop.background.gschema.override
/bin/echo "picture-uri='file://%{_datadir}/backgrounds/default/01-day.png'" >> \
    %{buildroot}%{_datadir}/glib-2.0/schemas/30_budgie_org.gnome.desktop.background.gschema.override
/bin/echo "picture-uri-dark='file://%{_datadir}/backgrounds/default/01-night.png'" >> \
    %{buildroot}%{_datadir}/glib-2.0/schemas/30_budgie_org.gnome.desktop.background.gschema.override

/bin/echo '[org.gnome.desktop.screensaver:Budgie]' > \
    %{buildroot}%{_datadir}/glib-2.0/schemas/30_budgie_org.gnome.desktop.screensaver.gschema.override
/bin/echo "picture-uri='file://%{_datadir}/backgrounds/default/01-day.png'" >> \
    %{buildroot}%{_datadir}/glib-2.0/schemas/30_budgie_org.gnome.desktop.screensaver.gschema.override
/bin/echo "picture-uri-dark='file://%{_datadir}/backgrounds/default/01-night.png'" >> \
    %{buildroot}%{_datadir}/glib-2.0/schemas/30_budgie_org.gnome.desktop.screensaver.gschema.override

/bin/echo '[x.dm.slick-greeter:Budgie]' > \
    %{buildroot}%{_datadir}/glib-2.0/schemas/30_budgie_x.dm.slick_greeter.gschema.override
/bin/echo "background='file://%{_datadir}/backgrounds/default/01-day.png'" >> \
    %{buildroot}%{_datadir}/glib-2.0/schemas/30_budgie_x.dm.slick_greeter.gschema.override

mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
/bin/echo '[org.gnome.desktop.background]' > \
    %{buildroot}%{_datadir}/glib-2.0/schemas/10_org.gnome.desktop.background.gschema.override
/bin/echo "picture-uri='file://%{_datadir}/backgrounds/default/01-day.png'" >> \
    %{buildroot}%{_datadir}/glib-2.0/schemas/10_org.gnome.desktop.background.gschema.override
/bin/echo "picture-uri-dark='file://%{_datadir}/backgrounds/default/01-night.png'" >> \
    %{buildroot}%{_datadir}/glib-2.0/schemas/10_org.gnome.desktop.background.gschema.override

/bin/echo '[org.gnome.desktop.screensaver]' > \
    %{buildroot}%{_datadir}/glib-2.0/schemas/10_org.gnome.desktop.screensaver.gschema.override
/bin/echo "picture-uri='file://%{_datadir}/backgrounds/default/01-day.png'" >> \
    %{buildroot}%{_datadir}/glib-2.0/schemas/10_org.gnome.desktop.screensaver.gschema.override
/bin/echo "picture-uri-dark='file://%{_datadir}/backgrounds/default/01-night.png'" >> \
    %{buildroot}%{_datadir}/glib-2.0/schemas/10_org.gnome.desktop.screensaver.gschema.override

(cd %{buildroot}%{_datadir}/backgrounds/images;
ln -s ../default/01-day.png \
    default.png
ln -s ../default/01-day.png \
    default-5_4.png
ln -s ../default/01-day.png \
    default-16_9.png
ln -s ../default/01-day.png \
    default-16_10.png

ln -s ../default/01-night.png \
    default-dark.png
ln -s ../default/01-night.png \
    default-dark-5_4.png
ln -s ../default/01-night.png \
    default-dark-16_9.png
ln -s ../default/01-night.png \
    default-dark-16_10.png

cd ..
ln -s ./default/01-day.png \
    default.png
ln -s ./default/01-night.png \
    default-dark.png
)

cd %{buildroot}%{_datadir}/backgrounds;
ln -s default/default.xml\
    default.xml


%files basic
%dir %{_datadir}/backgrounds
%dir %{_datadir}/backgrounds/tiles
%dir %{_datadir}/backgrounds/images
%dir %{_datadir}/backgrounds/default
%{_datadir}/backgrounds/tiles/*.png
%{_datadir}/backgrounds/tiles/*jpg
%{_datadir}/backgrounds/images/earth_from_space.jpg
%{_datadir}/backgrounds/images/flowers_and_leaves.jpg
%{_datadir}/backgrounds/images/ladybugs.jpg
%{_datadir}/backgrounds/images/stone_bird.jpg
%{_datadir}/backgrounds/images/tiny_blast_of_red.jpg
%{_datadir}/backgrounds/default/01-day.png
%{_datadir}/backgrounds/default/01-night.png
%{_datadir}/backgrounds/default/default.xml
%dir %{_datadir}/gnome-background-properties
%{_datadir}/gnome-background-properties/desktop-backgrounds-basic.xml
%dir %{_datadir}/mate-background-properties
%{_datadir}/mate-background-properties/desktop-backgrounds-basic.xml
%dir %{_datadir}/wallpapers

%files waves
%dir %{_datadir}/backgrounds/waves
%{_datadir}/backgrounds/waves/*.png
%{_datadir}/backgrounds/waves/waves.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-waves.xml
%{_datadir}/mate-background-properties/desktop-backgrounds-waves.xml
%{_datadir}/wallpapers/Waves

%files budgie
%{_datadir}/glib-2.0/schemas/30_budgie_org.gnome.desktop.background.gschema.override
%{_datadir}/glib-2.0/schemas/30_budgie_org.gnome.desktop.screensaver.gschema.override
%{_datadir}/glib-2.0/schemas/30_budgie_x.dm.slick_greeter.gschema.override

%files gnome
%{_datadir}/glib-2.0/schemas/10_org.gnome.desktop.background.gschema.override
%{_datadir}/glib-2.0/schemas/10_org.gnome.desktop.screensaver.gschema.override

%files compat
%dir %{_datadir}/backgrounds/images/
%{_datadir}/backgrounds/images/default*
%{_datadir}/backgrounds/default.png
%{_datadir}/backgrounds/default-dark.png
%{_datadir}/backgrounds/default.xml

%changelog
* Sat Sep 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 39.0.0-1
- initial build
